From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 28 August 2003<P>

another one bites the dust...just got home from the "Mars" party. what a fookin' letdown. First off: the tickets to the show were all sold out so we only got to stand in line to see Mars through a telescope. We had an hour to kill so we spent fifty bucks in the museum gift shop. I got a pair of colorful dolphin socks for Galveston and some more colorful gems for my collection and some Apache postcards. I carried the replica of Koko Loko (a chimpanzee) around the shop until I realized he was a puppet and didn't have a butt. Mars was just a small white disc. I was expectin' a big flamin' red planet. My interest in astronomy is on the wane. Drank away my blues at the Martini Grill and some hole in the wall topless bar. My husband got a real treat. He got to experience the soft luxury of big (real) breasts up close and personal. <BR>
<BR>
thanks Ali and scqueen for the compliments. thanks Rhett and Jim for reminding me of poems I had forgotten. That is truly awesome. <BR>
<BR>
I just inhaled three tacos and a beef enchiladas microwave dinner. I should have pleasant nightmares this a.m.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 28 August 2003<P>

Angieubaldo,<BR>
<a href="/blend/wv.cgi?id=2003.08.27.16.38.22401">Out on a Weeknight</a> - I really like and agree with this one
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 28 August 2003<P>

Meredith,<BR>
<a href="/blend/wv.cgi?id=2003.08.27.07.52.10757">Rhythm</a> - <BR>
"It's so hard to play <BR>
by the rules<BR>
when breaking them<BR>
feels so good"<BR>
great read
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 28 August 2003<P>

Kirk,<BR>
<a href="/blend/wv.cgi?id=2003.08.24.17.50.26365">...Of People Who Know What They Want</a> - this one is so funny and interesting.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 28 August 2003<P>

Libs0813,<BR>
I like this one - <a href="/blend/wv.cgi?id=2003.08.22.10.44.4893">just got unlucky</a><BR>
The way you have described that night is great.
<HR>
From: <a href="/blend/av.cgi?id=900">RennieLorca</a><BR>
Date: 28 August 2003<P>

ladyinwaiting~ Thanks :). My husband was killed in September of 1997. His life, no matter how hard others tired to make it enjoyable, was a constant roller coaster with PTSD, then head injury. I've come through a difficult number of years (14) in dealing with cancer. Except for my little dogs over the years, I've been very much alone except for the encouragement friends have given. What family I have left has been overly dysfunctional, frustrating, stressful and disappointing. Some great friends I love dearly are also dealing with health issues. Weather's been a bit of hell. Thankfully, the little dog I have now is always happy, great entertainment and good companionship. I made a good decision in getting him. I hope I make as good decisions the rest of my life. Thanks again for the comments, lady. It's good to see you happy. The world would be a better place with more positive folks right now. I am sure you realize, with the kind of work you do, just how fast this roller coaster life is over. I'm going to enjoy my ride as much as possible :) ..... Rennie
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 28 August 2003<P>

<a href="/blend/wv.cgi?id=2003.08.28.12.50.18491">San Diego</a> <BR>
love it!!!
<HR>
From: <a href="/blend/av.cgi?id=1103">ladyinwaiting</a><BR>
Date: 28 August 2003<P>

Rennie ~ sorry for your loss...aniversery coming up...my heart is with you...I pray the remainder of your roller coaster ride is filled with many laughs and smiles...nothing better than a joyful ride...the ride is what you make it...the downs are low but there is a positive...only one way to go and that would be up...enjoy the ride...it is precious...
<HR>
From: <a href="/blend/av.cgi?id=1223">butterfly03</a><BR>
Date: 28 August 2003<P>

jwb71913~ Great job on <a href="/blend/wv.cgi?id=2003.08.28.16.48.16304">I Forgive Me</a>! Something about it comforted me and gave me a new outlook to explore.
<HR>